aboutsummaryrefslogtreecommitdiff
path: root/contrib/dialog/samples/textbox-help
diff options
context:
space:
mode:
authorDag-Erling Smørgrav <des@FreeBSD.org>2026-06-29 15:53:51 +0000
committerDag-Erling Smørgrav <des@FreeBSD.org>2026-06-29 15:53:51 +0000
commit2b9f38236151f1bb0f26ec14a72e553b8420da8b (patch)
tree7f12f178e9e6017e039d685cecbde4bc17b0ce12 /contrib/dialog/samples/textbox-help
parent7aa0fb6181b8f520c0dde548eb7f0e03cdf3ae13 (diff)
Diffstat (limited to 'contrib/dialog/samples/textbox-help')
-rwxr-xr-xcontrib/dialog/samples/textbox-help20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/dialog/samples/textbox-help b/contrib/dialog/samples/textbox-help
new file mode 100755
index 000000000000..450c728c2c51
--- /dev/null
+++ b/contrib/dialog/samples/textbox-help
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Id: textbox-help,v 1.3 2020/11/26 00:05:11 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+TEXT=/usr/share/common-licenses/GPL
+test -f $TEXT || TEXT=../COPYING
+
+expand < textbox.txt > $tempfile
+expand < $TEXT >> $tempfile
+
+$DIALOG --clear --title "TEXT BOX" \
+ --help-button "$@" \
+ --textbox "$tempfile" 22 77
+
+returncode=$?
+
+. ./report-button